# jQuery Vanish

[![Build Status](https://travis-ci.org/matheusazzi/jquery-vanish.svg)](https://travis-ci.org/matheusazzi/jquery-vanish)
[![Code Climate](https://codeclimate.com/repos/559bcbc46956805f29001d02/badges/9e4dc9eea15a30549ba6/gpa.svg)](https://codeclimate.com/repos/559bcbc46956805f29001d02/feed)

A jQuery plugin to easily create a vanish effect on a string.

## Demo

[http://www.matheusazzi.com/jquery-vanish](http://www.matheusazzi.com/jquery-vanish)

## Installation

Install via [Bower](http://bower.io)

```bash
bower install jquery-vanish
```

## Usage

```html
<h1>Hello Foo Bar</h1>
<p>Other Foo Bar</p>
```

```javascript
$('h1').vanish();
```

### Events

The plugin will trigger a `vanished` event on element:

```javascript
$('p').vanish({
  duration: 2500,
  animation: 200,
}).on('vanished', function() {
  alert('Vanish ends');
})
```

### Options

| Option        | Type     | Default        | Description |
|---------------|----------|----------------|-------------|
| duration      | Number   | 3000           | The duration in milliseconds to vanish all string |
| animation     | Number   | 300            | The time of an item vanish animation |
| className     | String   | 'is-vanishing' | A class to add when the character starts to vanish |

## Browser Support
<table>
  <tbody>
    <tr>
      <td><img src="http://ie.microsoft.com/testdrive/ieblog/2010/Sep/16_UserExperiencesEvolvingthebluee_23.png" height="40"></td>
      <td><img src="http://img3.wikia.nocookie.net/__cb20120330024137/logopedia/images/d/d7/Google_Chrome_logo_2011.svg" height="40"></td>
      <td><img src="http://media.idownloadblog.com/wp-content/uploads/2014/06/Safari-logo-OS-X-Yosemite.png" height="40"></td>
      <td><img src="http://th09.deviantart.net/fs71/200H/f/2013/185/e/b/firefox_2013_vector_icon_by_thegoldenbox-d6bxsye.png" height="40"></td>
      <td><img src="http://upload.wikimedia.org/wikipedia/commons/d/d4/Opera_browser_logo_2013.png" height="40"></td>

    </tr>
    <tr>
      <td align="center">9+</td>
      <td align="center">✓</td>
      <td align="center">✓</td>
      <td align="center">✓</td>
      <td align="center">✓</td>
    </tr>
  </tbody>
</table>

## License

### The MIT License (MIT)

Copyright © 2015 Matheus Azzi <matheuslazzi@gmail.com>

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the “Software”), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED “AS IS”, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
